<?xml version='1.0' encoding='utf-8'?>

<creole>
    <files>
        <file filelist='wpkg' name='/home/wpkg/tools/wpkg_client_install.bat'/>
        <file filelist='wpkg' name='/home/wpkg/tools/wpkg_client_update_conf.bat'/>
        <file filelist='wpkg' name='/home/wpkg/tools/wpkg-gp_install.bat'/>
        <file filelist='wpkg' name='/home/wpkg/tools/wpkg-gp_update_conf.bat'/>
        <file filelist='wpkg' name='/home/wpkg/tools/preinstall.bat'/>
        <file filelist='wpkg' name='/home/wpkg/config.xml'/>
    </files>
    <containers>
        <container name='fichier'>
            <file filelist='wpkg' name='/etc/samba/conf.d/wpkg.conf' mkdir='True'/>
        </container>
    </containers>
    <variables>
        <family name='services'>
            <variable name='activer_wpkg' type='oui/non' description="Gérer la configuration WPKG">
                <value>oui</value>
            </variable>
        </family>
        <family name='wpkg'>
            <variable name='wpkg_wpkg_base' type='string' description='wpkg_base' >
                <value></value>
            </variable>
            <variable name='wpkg_force' type='oui/non' description='Forcer la detection des paquets' >
                <value>non</value>
            </variable>
            <variable name='wpkg_forceInstall' type='oui/non' description='Forcer la re-installation des paquets' >
                <value>non</value>
            </variable>
            <variable name='wpkg_quitonerror' type='oui/non' description="Quitter lorsqu'une erreur apparait" >
                <value>non</value>
            </variable>
            <variable name='wpkg_debug' type='oui/non' description='Activer le mode "debug"' >
                <value>non</value>
            </variable>
            <variable name='wpkg_dryrun' type='oui/non' description="Activer le mode simulation (n'installe aucun package)" >
                <value>non</value>
            </variable>
            <variable name='wpkg_quiet' type='oui/non' description='Execution silencieuse' >
                <value>non</value>
            </variable>
            <variable name='wpkg_nonotify' type='oui/non' description="Desactive l'avertissement des changements en cours aux utilisaeurs connectes" >
                <value>non</value>
            </variable>
            <variable name='wpkg_notificationDisplayTime' type='number' description="Duree d'affichage de l'avertissement" >
                <value>10</value>
            </variable>
            <variable name='wpkg_noreboot' type='oui/non' description='Ne pas redemarrer automatiquement' >
                <value>non</value>
            </variable>
            <variable name='wpkg_noRunningState' type='oui/non' description='noRunningState' >
                <value>non</value>
            </variable>
            <variable name='wpkg_caseSensitivity' type='oui/non' description='caseSensitivity' >
                <value>oui</value>
            </variable>
            <variable name='wpkg_rebootCmd' type='string' description='rebootCmd' >
                <value>standard</value>
            </variable>
            <variable name='wpkg_settings_file_name' type='string' description='settings_file_name' >
                <value>wpkg.xml</value>
            </variable>
            <variable name='wpkg_settings_file_path' type='string' description='settings_file_path' >
                <value>%SystemRoot%\\system32</value>
            </variable>
            <variable name='wpkg_noForcedRemove' type='oui/non' description="Desactive la suppression forcee d'un paquet de la base locale" >
                <value>non</value>
            </variable>
            <variable name='wpkg_noRemove' type='oui/non' description='Desactive la suppression des packages' >
                <value>non</value>
            </variable>
            <variable name='wpkg_sendStatus' type='oui/non' description='sendStatus' >
                <value>non</value>
            </variable>
            <variable name='wpkg_noUpgradeBeforeRemove' type='oui/non' description='Ne pas mettre a jour le package avant de le des-installer' >
                <value>non</value>
            </variable>
            <variable name='wpkg_volatileReleaseMarker' type='string' description='volatileReleaseMarker' >
                <value>[built-in]</value>
            </variable>
            <variable name='wpkg_logAppend' type='oui/non' description='logAppend' >
                <value>non</value>
            </variable>
            <variable name='wpkg_logLevel' type='string' description='logLevel' >
                <value>0xFF</value>
            </variable>
            <variable name='wpkg_log_file_path' type='string' description='log_file_path' >
                <value>C:\\</value>
            </variable>
            <variable name='wpkg_logfilePattern' type='string' description='logfilePattern' >
                <value>wpkg-[HOSTNAME].log</value>
            </variable>
            <variable name='wpkg_packages_file_name' type='string' description='packages_file_name' >
                <value>packages.xml</value>
            </variable>
            <variable name='wpkg_profiles_file_name' type='string' description='profiles_file_name' >
                <value>profiles.xml</value>
            </variable>
            <variable name='wpkg_hosts_file_name' type='string' description='hosts_file_name' >
                <value>hosts.xml</value>
            </variable>
            <variable name='wpkg_web_packages_file_name' type='string' description='web_packages_file_name' >
                <value>packages_xml_out.php</value>
            </variable>
            <variable name='wpkg_web_profiles_file_name' type='string' description='web_profiles_file_name' >
                <value>profiles_xml_out.php</value>
            </variable>
            <variable name='wpkg_web_hosts_file_name' type='string' description='web_hosts_file_name' >
                <value>hosts_xml_out.php</value>
            </variable>
            <variable name='wpkg_sRegPath' type='string' description='sRegPath' >
                <value>SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall</value>
            </variable>
            <variable name='wpkg_sRegWPKG_Running' type='string' description='sRegWPKG_Running' >
                <value>HKLM\\Software\\WPKG\\running</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='activer_wpkg'>
            <param>non</param>
            <target type='filelist'>wpkg</target>
            <target type='family'>wpkg</target>
            <target type='family'>wpkg client</target>
        </condition>
    </constraints>
    <help/>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
